.hidden{
    opacity: 0;
}

.fade-in{
	opacity: 1;
    animation: fadein 1s;
    -moz-animation: fadein 1s; /* Firefox */
    -webkit-animation: fadein 1s; /* Safari and Chrome */
    -o-animation: fadein 1s; /* Opera */
}

.fade-out{
	opacity: 0;
    animation: fadeout 1s;
    -moz-animation: fadeout 1s; /* Firefox */
    -webkit-animation: fadeout 1s; /* Safari and Chrome */
    -o-animation: fadeout 1s; /* Opera */
}

.fade-in-from-top, .fade-in-from-top-m1{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-medium 1s;
    -moz-animation: fadein-from-top-medium 1s; /* Firefox */
    -webkit-animation: fadein-from-top-medium 1s; /* Safari and Chrome */
    -o-animation: fadein-from-top-medium 1s; /* Opera */
}

.fade-in-from-bottom, .fade-in-from-bottom-m1{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-medium 1s;
    -moz-animation: fadein-from-bottom-medium 1s; /* Firefox */
    -webkit-animation: fadein-from-bottom-medium 1s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-medium 1s; /* Opera */
}

.fade-in-from-left, .fade-in-from-left-m1{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-medium 1s;
    -moz-animation: fadein-from-left-medium 1s; /* Firefox */
    -webkit-animation: fadein-from-left-medium 1s; /* Safari and Chrome */
    -o-animation: fadein-from-left-medium 1s; /* Opera */
}

.fade-in-from-right, .fade-in-from-right-m1{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-medium 1s;
    -moz-animation: fadein-from-right-medium 1s; /* Firefox */
    -webkit-animation: fadein-from-right-medium 1s; /* Safari and Chrome */
    -o-animation: fadein-from-right-medium 1s; /* Opera */
}

.fade-in-fast{
	opacity: 1;
    animation: fadein 1s;
    -moz-animation: fadein 1s; /* Firefox */
    -webkit-animation: fadein 1s; /* Safari and Chrome */
    -o-animation: fadein 1s; /* Opera */
}

.lineanimation{
    width: 100%;
    text-align: center;
    padding: 0 !important;
    margin: 0 !important;
}

.lineanimation .line{
    margin: auto !important;
    padding: 0 !important;
    width: 100%;
    height: 3px;
    border-radius: 5px;
    animation: lineexpansion 2s;
    -moz-animation: lineexpansion 2s; /* Firefox */
    -webkit-animation: lineexpansion 2s; /* Safari and Chrome */
    -o-animation: lineexpansion 2s; /* Opera */
}

.fade-in-from-top-s1{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-short 1s;
    -moz-animation: fadein-from-top-short 1s; /* Firefox */
    -webkit-animation: fadein-from-top-short 1s; /* Safari and Chrome */
    -o-animation: fadein-from-top-short 1s; /* Opera */
}

.fade-in-from-bottom-s1{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-short 1s;
    -moz-animation: fadein-from-bottom-short 1s; /* Firefox */
    -webkit-animation: fadein-from-bottom-short 1s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-short 1s; /* Opera */
}

.fade-in-from-left-s1{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-short 1s;
    -moz-animation: fadein-from-left-short 1s; /* Firefox */
    -webkit-animation: fadein-from-left-short 1s; /* Safari and Chrome */
    -o-animation: fadein-from-left-short 1s; /* Opera */
}

.fade-in-from-right-s1{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-short 1s;
    -moz-animation: fadein-from-right-short 1s; /* Firefox */
    -webkit-animation: fadein-from-right-short 1s; /* Safari and Chrome */
    -o-animation: fadein-from-right-short 1s; /* Opera */
}

.fade-in-from-top-l1{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-long 1s;
    -moz-animation: fadein-from-top-long 1s; /* Firefox */
    -webkit-animation: fadein-from-top-long 1s; /* Safari and Chrome */
    -o-animation: fadein-from-top-long 1s; /* Opera */
}

.fade-in-from-bottom-l1{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-long 1s;
    -moz-animation: fadein-from-bottom-long 1s; /* Firefox */
    -webkit-animation: fadein-from-bottom-long 1s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-long 1s; /* Opera */
}

.fade-in-from-left-l1{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-long 1s;
    -moz-animation: fadein-from-left-long 1s; /* Firefox */
    -webkit-animation: fadein-from-left-long 1s; /* Safari and Chrome */
    -o-animation: fadein-from-left-long 1s; /* Opera */
}

.fade-in-from-right-l1{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-long 1s;
    -moz-animation: fadein-from-right-long 1s; /* Firefox */
    -webkit-animation: fadein-from-right-long 1s; /* Safari and Chrome */
    -o-animation: fadein-from-right-long 1s; /* Opera */
}

.fade-in-from-top-m2{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-medium 2s;
    -moz-animation: fadein-from-top-medium 2s; /* Firefox */
    -webkit-animation: fadein-from-top-medium 2s; /* Safari and Chrome */
    -o-animation: fadein-from-top-medium 2s; /* Opera */
}

.fade-in-from-bottom-m2{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-medium 2s;
    -moz-animation: fadein-from-bottom-medium 2s; /* Firefox */
    -webkit-animation: fadein-from-bottom-medium 2s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-medium 2s; /* Opera */
}

.fade-in-from-left-m2{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-medium 2s;
    -moz-animation: fadein-from-left-medium 2s; /* Firefox */
    -webkit-animation: fadein-from-left-medium 2s; /* Safari and Chrome */
    -o-animation: fadein-from-left-medium 2s; /* Opera */
}

.fade-in-from-right-m2{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-medium 2s;
    -moz-animation: fadein-from-right-medium 2s; /* Firefox */
    -webkit-animation: fadein-from-right-medium 2s; /* Safari and Chrome */
    -o-animation: fadein-from-right-medium 2s; /* Opera */
}

.fade-in-from-top-s2{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-short 2s;
    -moz-animation: fadein-from-top-short 2s; /* Firefox */
    -webkit-animation: fadein-from-top-short 2s; /* Safari and Chrome */
    -o-animation: fadein-from-top-short 2s; /* Opera */
}

.fade-in-from-bottom-s2{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-short 2s;
    -moz-animation: fadein-from-bottom-short 2s; /* Firefox */
    -webkit-animation: fadein-from-bottom-short 2s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-short 2s; /* Opera */
}

.fade-in-from-left-s2{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-short 2s;
    -moz-animation: fadein-from-left-short 2s; /* Firefox */
    -webkit-animation: fadein-from-left-short 2s; /* Safari and Chrome */
    -o-animation: fadein-from-left-short 2s; /* Opera */
}

.fade-in-from-right-s2{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-short 2s;
    -moz-animation: fadein-from-right-short 2s; /* Firefox */
    -webkit-animation: fadein-from-right-short 2s; /* Safari and Chrome */
    -o-animation: fadein-from-right-short 2s; /* Opera */
}

.fade-in-from-top-l2{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-long 2s;
    -moz-animation: fadein-from-top-long 2s; /* Firefox */
    -webkit-animation: fadein-from-top-long 2s; /* Safari and Chrome */
    -o-animation: fadein-from-top-long 2s; /* Opera */
}

.fade-in-from-bottom-l2{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-long 2s;
    -moz-animation: fadein-from-bottom-long 2s; /* Firefox */
    -webkit-animation: fadein-from-bottom-long 2s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-long 2s; /* Opera */
}

.fade-in-from-left-l2{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-long 2s;
    -moz-animation: fadein-from-left-long 2s; /* Firefox */
    -webkit-animation: fadein-from-left-long 2s; /* Safari and Chrome */
    -o-animation: fadein-from-left-long 2s; /* Opera */
}

.fade-in-from-right-l2{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-long 2s;
    -moz-animation: fadein-from-right-long 2s; /* Firefox */
    -webkit-animation: fadein-from-right-long 2s; /* Safari and Chrome */
    -o-animation: fadein-from-right-long 2s; /* Opera */
}

.fade-in-from-top-s3{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-short 3s;
    -moz-animation: fadein-from-top-short 3s; /* Firefox */
    -webkit-animation: fadein-from-top-short 3s; /* Safari and Chrome */
    -o-animation: fadein-from-top-short 3s; /* Opera */
}

.fade-in-from-bottom-s3{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-short 3s;
    -moz-animation: fadein-from-bottom-short 3s; /* Firefox */
    -webkit-animation: fadein-from-bottom-short 3s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-short 3s; /* Opera */
}

.fade-in-from-left-s3{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-short 3s;
    -moz-animation: fadein-from-left-short 3s; /* Firefox */
    -webkit-animation: fadein-from-left-short 3s; /* Safari and Chrome */
    -o-animation: fadein-from-left-short 3s; /* Opera */
}

.fade-in-from-right-s3{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-short 3s;
    -moz-animation: fadein-from-right-short 3s; /* Firefox */
    -webkit-animation: fadein-from-right-short 3s; /* Safari and Chrome */
    -o-animation: fadein-from-right-short 3s; /* Opera */
}

.fade-in-from-top-m3{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-medium 3s;
    -moz-animation: fadein-from-top-medium 3s; /* Firefox */
    -webkit-animation: fadein-from-top-medium 3s; /* Safari and Chrome */
    -o-animation: fadein-from-top-medium 3s; /* Opera */
}

.fade-in-from-bottom-m3{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-medium 3s;
    -moz-animation: fadein-from-bottom-medium 3s; /* Firefox */
    -webkit-animation: fadein-from-bottom-medium 3s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-medium 3s; /* Opera */
}

.fade-in-from-left-m3{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-medium 3s;
    -moz-animation: fadein-from-left-medium 3s; /* Firefox */
    -webkit-animation: fadein-from-left-medium 3s; /* Safari and Chrome */
    -o-animation: fadein-from-left-medium 3s; /* Opera */
}

.fade-in-from-right-m3{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-medium 3s;
    -moz-animation: fadein-from-right-medium 3s; /* Firefox */
    -webkit-animation: fadein-from-right-medium 3s; /* Safari and Chrome */
    -o-animation: fadein-from-right-medium 3s; /* Opera */
}

.fade-in-from-top-l3{
	opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-top-long 3s;
    -moz-animation: fadein-from-top-long 3s; /* Firefox */
    -webkit-animation: fadein-from-top-long 3s; /* Safari and Chrome */
    -o-animation: fadein-from-top-long 3s; /* Opera */
}

.fade-in-from-bottom-l3{
    opacity: 1;
    top: 0px;
    position: relative;
    animation: fadein-from-bottom-long 3s;
    -moz-animation: fadein-from-bottom-long 3s; /* Firefox */
    -webkit-animation: fadein-from-bottom-long 3s; /* Safari and Chrome */
    -o-animation: fadein-from-bottom-long 3s; /* Opera */
}

.fade-in-from-left-l3{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-left-long 3s;
    -moz-animation: fadein-from-left-long 3s; /* Firefox */
    -webkit-animation: fadein-from-left-long 3s; /* Safari and Chrome */
    -o-animation: fadein-from-left-long 3s; /* Opera */
}

.fade-in-from-right-l3{
    opacity: 1;
    top: 0px;
    left: 0px;
    position: relative;
    animation: fadein-from-right-long 3s;
    -moz-animation: fadein-from-right-long 3s; /* Firefox */
    -webkit-animation: fadein-from-right-long 3s; /* Safari and Chrome */
    -o-animation: fadein-from-right-long 3s; /* Opera */
}


@keyframes fadeout {
    from {
        z-index: -1;
        opacity:1;
    }
    to {
        z-index: -1;
        opacity:0;
    }
}
@-moz-keyframes fadeout { /* Firefox */
    from {
        z-index: -1;
        opacity:1;
    }
    to {
        z-index: -1;
        opacity:0;
    }
}
@-webkit-keyframes fadeout { /* Safari and Chrome */
    from {
        z-index: -1;
        opacity:1;
    }
    to {
        z-index: -1;
        opacity:0;
    }
}
@-o-keyframes fadeout { /* Opera */
    from {
        z-index: -1;
        opacity:1;
    }
    to {
        z-index: -1;
        opacity:0;
    }
}
@keyframes fadein {
    from {
        z-index: -1;
        opacity:0;
    }
    to {
        z-index: -1;
        opacity:1;
    }
}
@-moz-keyframes fadein { /* Firefox */
    from {
        z-index: -1;
        opacity:0;
    }
    to {
        z-index: -1;
        opacity:1;
    }
}
@-webkit-keyframes fadein { /* Safari and Chrome */
    from {
        z-index: -1;
        opacity:0;
    }
    to {
        z-index: -1;
        opacity:1;
    }
}
@-o-keyframes fadein { /* Opera */
    from {
        z-index: -1;
        opacity:0;
    }
    to {
        z-index: -1;
        opacity: 1;
    }
}

@keyframes lineexpansion {
    from {
        width: 0%;
        opacity: 0.1;
    }
    to {
        opacity: 1;
        width: 100%;
    }
}
@-moz-keyframes lineexpansion { /* Firefox */
    from {
        width: 0%;
    }
    to {
        width: 100%;
    }
}
@-webkit-keyframes lineexpansion { /* Safari and Chrome */
    from {
        width: 0%;
    }
    to {
        width: 100%;
    }
}
@-o-keyframes lineexpansion { /* Opera */
    from {
        width: 0%;
    }
    to {
        width: 100%;
    }
}

/* transiciones cortas */
@keyframes fadein-from-top-short {
    from {
        opacity:0;
        top: -70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-moz-keyframes fadein-from-top-short { /* Firefox */
    from {
        opacity:0;
        top: -70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-webkit-keyframes fadein-from-top-short { /* Safari and Chrome */
    from {
        opacity:0;
        top: -70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-o-keyframes fadein-from-top-short { /* Opera */
    from {
        opacity:0;
        top: -70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}

@keyframes fadein-from-bottom-short {
    from {
        opacity:0;
        top: 70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-moz-keyframes fadein-from-bottom-short { /* Firefox */
    from {
        opacity:0;
        top: 70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-webkit-keyframes fadein-from-bottom-short { /* Safari and Chrome */
    from {
        opacity:0;
        top: 70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-o-keyframes fadein-from-bottom-short { /* Opera */
    from {
        opacity:0;
        top: 70px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}

@keyframes fadein-from-left-short {
    from {
        opacity:0;
        right: 70px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}
@-moz-keyframes fadein-from-left-short { /* Firefox */
    from {
        opacity:0;
        right: 70px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}
@-webkit-keyframes fadein-from-left-short { /* Safari and Chrome */
    from {
        opacity:0;
        right: 70px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}
@-o-keyframes fadein-from-left-short { /* Opera */
    from {
        opacity:0;
        right: 70px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}

@keyframes fadein-from-right-short {
    from {
        opacity:0;
        left: 70px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-moz-keyframes fadein-from-right-short { /* Firefox */
    from {
        opacity:0;
        left: 70px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-webkit-keyframes fadein-from-right-short { /* Safari and Chrome */
    from {
        opacity:0;
        left: 70px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-o-keyframes fadein-from-right-short { /* Opera */
    from {
        opacity:0;
        left: 70px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}

/* transiciones medianas */
@keyframes fadein-from-top-medium {
    from {
        opacity:0;
        top: -140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-moz-keyframes fadein-from-top-medium { /* Firefox */
    from {
        opacity:0;
        top: -140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-webkit-keyframes fadein-from-top-medium { /* Safari and Chrome */
    from {
        opacity:0;
        top: -140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-o-keyframes fadein-from-top-medium { /* Opera */
    from {
        opacity:0;
        top: -140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}

@keyframes fadein-from-bottom-medium {
    from {
        opacity:0;
        top: 140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-moz-keyframes fadein-from-bottom-medium { /* Firefox */
    from {
        opacity:0;
        top: 140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-webkit-keyframes fadein-from-bottom-medium { /* Safari and Chrome */
    from {
        opacity:0;
        top: 140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-o-keyframes fadein-from-bottom-medium { /* Opera */
    from {
        opacity:0;
        top: 140px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}

@keyframes fadein-from-left-medium {
    from {
        opacity:0;
        right: 140px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}
@-moz-keyframes fadein-from-left-medium { /* Firefox */
    from {
        opacity:0;
        right: 140px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}
@-webkit-keyframes fadein-from-left-medium { /* Safari and Chrome */
    from {
        opacity:0;
        right: 140px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}
@-o-keyframes fadein-from-left-medium { /* Opera */
    from {
        opacity:0;
        right: 140px;
    }
    to {
        opacity:1;
        right: 0px;
    }
}

@keyframes fadein-from-right-medium {
    from {
        opacity:0;
        left: 140px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-moz-keyframes fadein-from-right-medium { /* Firefox */
    from {
        opacity:0;
        left: 140px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-webkit-keyframes fadein-from-right-medium { /* Safari and Chrome */
    from {
        opacity:0;
        left: 140px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-o-keyframes fadein-from-right-medium { /* Opera */
    from {
        opacity:0;
        left: 140px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}

/* transiciones largas */
@keyframes fadein-from-top-long {
    from {
        opacity:0;
        top: -280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-moz-keyframes fadein-from-top-long { /* Firefox */
    from {
        opacity:0;
        top: -280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-webkit-keyframes fadein-from-top-long { /* Safari and Chrome */
    from {
        opacity:0;
        top: -280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-o-keyframes fadein-from-top-long { /* Opera */
    from {
        opacity:0;
        top: -280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}

@keyframes fadein-from-bottom-long {
    from {
        opacity:0;
        top: 280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-moz-keyframes fadein-from-bottom-long { /* Firefox */
    from {
        opacity:0;
        top: 280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-webkit-keyframes fadein-from-bottom-long { /* Safari and Chrome */
    from {
        opacity:0;
        top: 280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}
@-o-keyframes fadein-from-bottom-long { /* Opera */
    from {
        opacity:0;
        top: 280px;
    }
    to {
        opacity:1;
        top: 0px;
    }
}

@keyframes fadein-from-left-long {
    from {
        opacity:0;
        left: -280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-moz-keyframes fadein-from-left-long { /* Firefox */
    from {
        opacity:0;
        left: -280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-webkit-keyframes fadein-from-left-long { /* Safari and Chrome */
    from {
        opacity:0;
        left: -280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-o-keyframes fadein-from-left-long { /* Opera */
    from {
        opacity:0;
        left: -280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}

@keyframes fadein-from-right-long {
    from {
        opacity:0;
        left: 280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-moz-keyframes fadein-from-right-long { /* Firefox */
    from {
        opacity:0;
        left: 280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-webkit-keyframes fadein-from-right-long { /* Safari and Chrome */
    from {
        opacity:0;
        left: 280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}
@-o-keyframes fadein-from-right-long { /* Opera */
    from {
        opacity:0;
        left: 280px;
    }
    to {
        opacity:1;
        left: 0px;
    }
}